org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query

## Interface QueryPackage.Literals

Enclosing interface:
  QueryPackage

    public static interface QueryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `EOBJECT_LITERAL_QUERY` The meta object literal for the '`EObject Literal Query`' class.
`static EReference` `EOBJECT_LITERAL_QUERY__ELEMENT` The meta object literal for the 'Element' reference feature.
`static EClass` `FALSE_LITERAL_QUERY` The meta object literal for the '`False Literal Query`' class.
`static EClass` `FLOAT_LITERAL_QUERY` The meta object literal for the '`Float Literal Query`' class.
`static EAttribute` `FLOAT_LITERAL_QUERY__VALUE` The meta object literal for the 'Value' attribute feature.
`static EClass` `INTEGER_LITERAL_QUERY` The meta object literal for the '`Integer Literal Query`' class.
`static EAttribute` `INTEGER_LITERAL_QUERY__VALUE` The meta object literal for the 'Value' attribute feature.
`static EClass` `IS_ONE_OF_QUERY` The meta object literal for the '`Is One Of Query`' class.
`static EReference` `IS_ONE_OF_QUERY__EXPECTED_EOBJECTS` The meta object literal for the 'Expected EObjects' reference list feature.
`static EClass` `NAVIGATION_QUERY` The meta object literal for the '`Navigation Query`' class.
`static EAttribute` `NAVIGATION_QUERY__FAIL_ON_ERROR` The meta object literal for the 'Fail On Error' attribute feature.
`static EReference` `NAVIGATION_QUERY__PATH` The meta object literal for the 'Path' reference list feature.
`static EClass` `NULL_LITERAL_QUERY` The meta object literal for the '`Null Literal Query`' class.
`static EClass` `OPERATION_CALL_QUERY` The meta object literal for the '`Operation Call Query`' class.
`static EReference` `OPERATION_CALL_QUERY__ARGUMENTS` The meta object literal for the 'Arguments' containment reference list feature.
`static EReference` `OPERATION_CALL_QUERY__OPERATION` The meta object literal for the 'Operation' reference feature.
`static EClass` `STRING_LITERAL_QUERY` The meta object literal for the '`String Literal Query`' class.
`static EAttribute` `STRING_LITERAL_QUERY__VALUE` The meta object literal for the 'Value' attribute feature.
`static EClass` `TRUE_LITERAL_QUERY` The meta object literal for the '`True Literal Query`' class.

### Field Detail

#### NAVIGATION_QUERY

    static final EClass NAVIGATION_QUERY

The meta object literal for the '`Navigation Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.NavigationQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getNavigationQuery()`
Generated:

#### NAVIGATION_QUERY__PATH

    static final EReference NAVIGATION_QUERY__PATH

The meta object literal for the 'Path' reference list feature.

Generated:

#### NAVIGATION_QUERY__FAIL_ON_ERROR

    static final EAttribute NAVIGATION_QUERY__FAIL_ON_ERROR

The meta object literal for the 'Fail On Error' attribute feature.

Generated:

#### IS_ONE_OF_QUERY

    static final EClass IS_ONE_OF_QUERY

The meta object literal for the '`Is One Of Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.IsOneOfQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getIsOneOfQuery()`
Generated:

#### IS_ONE_OF_QUERY__EXPECTED_EOBJECTS

    static final EReference IS_ONE_OF_QUERY__EXPECTED_EOBJECTS

The meta object literal for the 'Expected EObjects' reference list feature.

Generated:

#### STRING_LITERAL_QUERY

    static final EClass STRING_LITERAL_QUERY

The meta object literal for the '`String Literal Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.StringLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getStringLiteralQuery()`
Generated:

#### STRING_LITERAL_QUERY__VALUE

    static final EAttribute STRING_LITERAL_QUERY__VALUE

The meta object literal for the 'Value' attribute feature.

Generated:

#### TRUE_LITERAL_QUERY

    static final EClass TRUE_LITERAL_QUERY

The meta object literal for the '`True Literal Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.TrueLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getTrueLiteralQuery()`
Generated:

#### FALSE_LITERAL_QUERY

    static final EClass FALSE_LITERAL_QUERY

The meta object literal for the '`False Literal Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.FalseLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getFalseLiteralQuery()`
Generated:

#### NULL_LITERAL_QUERY

    static final EClass NULL_LITERAL_QUERY

The meta object literal for the '`Null Literal Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.NullLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getNullLiteralQuery()`
Generated:

#### INTEGER_LITERAL_QUERY

    static final EClass INTEGER_LITERAL_QUERY

The meta object literal for the '`Integer Literal Query`' class.

Since:
  0.2
See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.IntegerLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getIntegerLiteralQuery()`
Generated:

#### INTEGER_LITERAL_QUERY__VALUE

    static final EAttribute INTEGER_LITERAL_QUERY__VALUE

The meta object literal for the 'Value' attribute feature.

Since:
  0.2
Generated:

#### FLOAT_LITERAL_QUERY

    static final EClass FLOAT_LITERAL_QUERY

The meta object literal for the '`Float Literal Query`' class.

Since:
  0.2
See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.FloatLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getFloatLiteralQuery()`
Generated:

#### FLOAT_LITERAL_QUERY__VALUE

    static final EAttribute FLOAT_LITERAL_QUERY__VALUE

The meta object literal for the 'Value' attribute feature.

Since:
  0.2
Generated:

#### EOBJECT_LITERAL_QUERY

    static final EClass EOBJECT_LITERAL_QUERY

The meta object literal for the '`EObject Literal Query`' class.

Since:
  0.2
See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.EObjectLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getEObjectLiteralQuery()`
Generated:

#### EOBJECT_LITERAL_QUERY__ELEMENT

    static final EReference EOBJECT_LITERAL_QUERY__ELEMENT

The meta object literal for the 'Element' reference feature.

Since:
  0.2
Generated:

#### OPERATION_CALL_QUERY

    static final EClass OPERATION_CALL_QUERY

The meta object literal for the '`Operation Call Query`' class.

Since:
  0.2
See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.OperationCallQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getOperationCallQuery()`
Generated:

#### OPERATION_CALL_QUERY__OPERATION

    static final EReference OPERATION_CALL_QUERY__OPERATION

The meta object literal for the 'Operation' reference feature.

Since:
  0.2
Generated:

#### OPERATION_CALL_QUERY__ARGUMENTS

    static final EReference OPERATION_CALL_QUERY__ARGUMENTS

The meta object literal for the 'Arguments' containment reference list feature.

Since:
  0.2
Generated: